#-*- coding: utf-8 -*-
from django.db import models
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from cms.models.pluginmodel import CMSPlugin
from jmb.core.db.cmsmodels import StatusModel


class DocumentSettings(CMSPlugin, StatusModel):
    dirpath = models.CharField(
        _("Directory"),
        max_length=200,
        default="",
        help_text=_("Insert the name of Filer directory you want to list")
    )
    template_name = models.CharField(
        max_length=100,
        choices=settings.DOCUMENT_CMSPLUGIN_TEMPLATES,
        default="document/cms_plugins/document_list.html",
        editable=len(settings.DOCUMENT_CMSPLUGIN_TEMPLATES) > 1
    )

    def __unicode__(self):
        return self.dirpath

    class Meta:
        app_label = "document"