#-*- coding: utf-8 -*-
import os

class File:

    def __init__(self, abs_path, url_path, name):
        self.name = name.rstrip("/")
        self.title = name.split(".")[0].replace("_", " ")
        self.abs_path = abs_path
        self.url_path = url_path
        self.is_file = True
        self.is_dir = False
        self.ext = name.split(".")[-1]


class Directory:
    def __init__(self, abs_path, url_path, name):
        self.name = name
        split_title = name.split("_", 1)
        title = self.name
        if split_title[0].isdigit():
            title = split_title[1]
        self.title = title.split(".")[0].replace("_", " ")
        self.abs_path = abs_path
        self.url_path = url_path
        self.tree = self.get_tree()
        self.is_file = False
        self.is_dir = True


    def get_tree(self):
        tree = []
        try:
            listdir = os.listdir(self.abs_path)
            listdir.sort()
            for obj in listdir:
                if os.path.isfile(os.path.join(self.abs_path, obj)):
                    filE = File(self.abs_path, self.url_path, obj)
                    tree.append(filE)

                if os.path.isdir(os.path.join(self.abs_path, obj)):
                    dir_path = os.path.join(self.abs_path, obj)
                    directory = Directory(self.abs_path, self.url_path, obj)
                    tree.append(directory)
            return tree
        except:
            return tree
